Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.app.analyst.csv.sort
Enum SortType

    java.lang.Object
      java.lang.Enum<SortType>
          org.encog.app.analyst.csv.sort.SortType

All Implemented Interfaces:
  Serializable, Comparable<SortType>

    public enum SortType

extends Enum<SortType>

The type of sort.

Enum Constant Summary
`SortDecimal` Sort fields as real numbers.
`SortInteger` Sort fields as ints.
`SortString` Sort fields as strings.

Method Summary
`static SortType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SortType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SortInteger

    public static final SortType SortInteger

  Sort fields as ints.

### SortString

    public static final SortType SortString

  Sort fields as strings.

### SortDecimal

    public static final SortType SortDecimal

  Sort fields as real numbers.

Method Detail

### values

    public static SortType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SortType c : SortType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SortType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.